﻿function Profile()
{
  this.userList = [];
}

function Profile.prototype.addUpdateAccount(name, password, alias, domain)
{
   var found = false;
   for (var i = 0; i < this.userList.length; i++) {
     var userInfo = this.userList[i];
     if ((userInfo.name.toLowerCase() == name.toLowerCase()) 
       && (userInfo.domain.toLowerCase() == domain.toLowerCase())) {
       userInfo.name = name;
       userInfo.password = password;
       userInfo.alias = alias;
       userInfo.domain = domain;
       found = true;
       break;
     }
   }
  if (!found) {
    var userInfo = new UserInfo(name, password, domain);
    this.userList[this.userList.length] = userInfo;
  }
}

function Profile.prototype.removeAccount(name)
{
   for (var i = 0; i < this.userList.length; i++) {
     var userInfo = this.userList[i];
     var localName = userInfo.name;
     if (userInfo.domain != "")
       localName = localName + "@" + userInfo.domain;
     localName = localName.toLowerCase();
     if (localName == name.toLowerCase()) {
       this.userList.splice(i, 1);
       break;
     }
   }
}

function Profile.prototype.clone()
{
  var result = new Profile();
  for (var i = 0; i < this.userList.length; i++) {
     result.userList[i] = this.userList[i].clone();
  }
  return result;
}